Перейти из форума на сайт.

НовостиФайловые архивы
ПоискАктивные темыТоп лист
ПравилаКто в on-line?
Вход Забыли пароль? Первый раз на этом сайте? Регистрация
Компьютерный форум Ru.Board » Компьютеры » Программы » Mozilla Firefox (часть 19)

Модерирует : gyra, Maz

 Версия для печати • ПодписатьсяДобавить в закладки
Страницы: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129

Открыть новую тему     Написать ответ в эту тему

gyra

Moderator
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
предыдущие части темы > | и шапки > | Открыть полную версию шапки

Здесь обсуждаются стабильные версии браузера. Вопросы о настройках и проблемах в работе без указания номера версии могут вызвать путаницу.
Просьба к участникам в сообщении указывать версию, о которой задаётся вопрос.
Актуальные версии:
Firefox 69.0     (03.09.2019) скачать: Rus 32|64-bit | Eng 32|64-bit | другие системы и языки | все ссылки | portable | что нового(en)
ESR  68.1.0 (03.09.2019) скачать: Rus 32|64-bit | Eng 32|64-bit | другие системы и языки | все ссылки | portable | что нового(en)
ESR  60.9.0 (03.09.2019) скачать: Rus 32|64-bit | Eng 32|64-bit | другие системы и языки | все ссылки | portable | что нового(en)
Небрендированные сборки
>

Обсуждение расширений, предрелизных версий (beta, nightly), пользовательских сборок, плагинов
только в специализированных темах!!!


ПОЛЕЗНЫЕ СОВЕТЫ >
Куда вписывать код для стиля userChrome.css и userContent.css | Готовые стили для изменения интерфейса браузера
Как в "Расширениях" убрать текстовый блок "Firefox изменяет работу расширений в приватном режиме..."
Как убрать сообщение при вводе логина "Это соединение не защищено"
Как отключить мультипроцессный режим
Как отключить Push-уведомления для всех сайтов
Как исправить размытый шрифт в Firefox 52
Как отключить телеметрию
Настройка Firefox с помощью policies.json
Решения для восстановления слетевших дополнений
Исправляем работу Youtube "В настоящее время ваш браузер не распознает ни один из видеоформатов"

Приложения (утилиты) для Firefox:
SpeedyFox - оптимизация профиля в Firefox
MozBackup - создание бэкапов профилей
ConfigFox - управление скрытыми настройками (разработка прекращена в 2015 г.)
Понравился Firefox? - разместите его кнопку или баннер на своём сайте! | Поддержите, пожалуйста, свой браузер в голосовании

Всего записей: 7364 | Зарегистр. 18-02-2006 | Отправлено: 20:52 04-05-2019 | Исправлено: Bersaglio, 20:56 15-09-2019
Nek1t



Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
System5
Чтобы instagram.com нормально работал в 52 ветке, нужно ходить туда с родным UA, то есть не трогать general.useragent.override.
Подробнее...

Всего записей: 1313 | Зарегистр. 25-10-2006 | Отправлено: 17:04 11-05-2019 | Исправлено: Nek1t, 17:07 11-05-2019
Udden



Junior Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Подробнее...
System5
Та же самая проблема, что и с youtube.com, когда вы не обманываете instagram.com он выдает вам более старую версию под ваш браузер, а когда говорите ему, что у вас новая версия, он выдает вам новый вариант, который вашим браузером не поддерживается.
Если вам хочется использовать глобальный override, используйте для проблемных сайтов аддоны (не проверял, есть ли такой для instagram.com) или ищите аддон для локального override на сайтах, потому что через настройку в about:config локальный override не работает, или отказывайтесь от глобального override.
 

Цитата:
И ещё при попытке обновить/установить некоторые дополнения пишет  
это дополнение не может быть установлено так как оно по-видимому повреждено

Ctrl+Shift+J, на кнопке JS включите все 3 уровня, после этого попробуйте установить .xpi, какую ошибку выдает?
Дополнительно, распакуйте .xpi (это zip архив), и попробуйте собрать его XPICompiler. [/more]

Всего записей: 58 | Зарегистр. 09-05-2019 | Отправлено: 17:53 11-05-2019 | Исправлено: Udden, 18:07 11-05-2019
Mitia514

Junior Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Есть какой-то вариант выдернуть из 66 мозиллы все сертификаты и скормить их 52?
Тупая замена файла omni.ja не помогает -тупо не стартует браузер.

Всего записей: 135 | Зарегистр. 06-01-2018 | Отправлено: 18:00 11-05-2019
Nek1t



Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Mitia514
Что вы пытаетесь сделать? Гонять между версиями что-то кроме конфигов - плохая идея.

Всего записей: 1313 | Зарегистр. 25-10-2006 | Отправлено: 18:22 11-05-2019
System5



Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
YikxX
Nek1t
Udden
Благодарю за внимание к моей проблеме, как видно она не совсем уж локальная.
Глобальный оверрайд вовсе не принципиален, буду юзать по необходимости User Agent Switcher или перейду на Custom UserAgent String.
По остальным советам буду разбираться.

Всего записей: 960 | Зарегистр. 03-11-2007 | Отправлено: 18:30 11-05-2019
YikxX



Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Mitia514
Цитата:
Есть какой-то вариант выдернуть из 66 мозиллы все сертификаты и скормить их 52?
Последнее мое сообщение на предыдущей странице от ваших глаз как-то ускользнуло?
 
Nek1t С чего это плохая то? Все нормально.
 

Всего записей: 989 | Зарегистр. 29-07-2008 | Отправлено: 18:49 11-05-2019
kokoss19



Full Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Del

Всего записей: 486 | Зарегистр. 16-07-2018 | Отправлено: 18:49 11-05-2019 | Исправлено: kokoss19, 19:02 11-05-2019
Mitia514

Junior Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору

Цитата:
от ваших глаз как-то ускользнуло?

Вы уверенны ,что это ,что-то дает?Вы уверенны ,что именно в nssckbi.dll лежат и используются все сертификаты?
Я вставлял этот файл с разных версий и даже с пал мун и разница не заметна.

Всего записей: 135 | Зарегистр. 06-01-2018 | Отправлено: 19:05 11-05-2019 | Исправлено: Mitia514, 19:05 11-05-2019
YikxX



Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Mitia514 да, уверен. А если вам нужны уж совсем все сертификаты и у вас не Win 10 или в ней отключены обновы, то вам сюда

Всего записей: 989 | Зарегистр. 29-07-2008 | Отправлено: 19:10 11-05-2019
Udden



Junior Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
System5
Да, этот аддон решает проблему, ставьте предпоследнюю версию, а последняя не ставится из-за несоответствий в META-INF. Отключение подписей через корень Mozilla недостаточно, должна быть хотя бы неправильная подпись и соответствие всех файлов manifest.mf.
 
Mitia514
Цитата:
Есть какой-то вариант выдернуть

Попробуйте выдрать cert9.db (еще нужны key3.db и secmod.db), переименовать его в cert8.db и подсунуть старому Firefox, не знаю проглотит или выплюнет.
Перенести еще можно вручную, открываете about:preferences#advanced - сертификаты, выделяете все, потом с помощью клавиши Ctrl снимаете выделение с называний групп (иначе не экспортируется), потом нажимаете экспортировать. Кладете мышку на кнопку сохранить и тыкаете в одно место (так быстрее), сертификаты по одному сохранятся.
Если для старых Firefox есть Export All Certificates, то на новых такой аддон невозможен.

Всего записей: 58 | Зарегистр. 09-05-2019 | Отправлено: 19:25 11-05-2019 | Исправлено: Udden, 20:02 11-05-2019
Nek1t



Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Mitia514
В nssckbi.dll лежат предустановленные корневые сертификаты и это самостоятельная DLL, а не база, которую можно таскать туда-сюда. В ней нет и не было нового промежуточного сертификата для проверки подписей расширений.
 
В XPIProvider.jsm, который внутри omni.ja, был прописан скрипт, который вытаскивал из себя новый сертификат и устанавливал его в профильный cert.db. Этот механизм был только в 66.0.4.
 
Начиная с версии 66.0.5, новый сертификат зашивается в сам Firefox куда-то в xul.dll, XPIProvider больше ничего в профиль не устанавливает.
 
Единственный предусмотренный вариант установки сертификата в протухшие версии Firefox - это его импорт встроенными средствами. Можно просто перейти по ссылке или скачать руками и открыть файл в Firefox, браузер сразу предложит его установить.  
 
Нормального кросс-версионного способа решить вопрос простым копированием файлов нет, и я не могу понять, зачем это кому-то может быть нужно.  
 
YikxX
Цитата:
С чего это плохая то? Все нормально.  

Цитата:
тупо не стартует браузер

 

Всего записей: 1313 | Зарегистр. 25-10-2006 | Отправлено: 19:49 11-05-2019 | Исправлено: Nek1t, 19:52 11-05-2019
kokoss19



Full Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Del

Всего записей: 486 | Зарегистр. 16-07-2018 | Отправлено: 19:56 11-05-2019 | Исправлено: kokoss19, 13:39 15-05-2019
YikxX



Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Nek1t
Цитата:
В ней нет и не было нового промежуточного сертификата для проверки подписей расширений
А разве кто-то говорил, что он там есть? Вроде вопрос был про "все сертификаты", а не про сертификат для расширений. Сертификат для расширений надо импортировать вручную, как вы и сказали, в nssckbi.dll его нет и не было никогда. Но новые сертификаты там есть, вот скрины в доказательство

 
Тупо не стартует браузер - это человек не дллку кидал, а какой-то скрипт

Всего записей: 989 | Зарегистр. 29-07-2008 | Отправлено: 20:01 11-05-2019
Udden



Junior Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Может стоит сначала узнать, какие именно сертификаты ему нужны?
Корневые или для проверки подписей аддонов, а то каждый предлагает свое.
 
Проверку подписей аддонов лучше резать раз и навсегда, с ней сплошные проблемы, ранее не ставится xpi, META-INF я не писал подробности, но обнаружилась проблема, в ESR xpinstall.signatures.required не отключает проверку полностью, можно использовать свои сертификаты, но они должны быть, без сертификатов или с неправильными не работают, не работают даже последние версии некоторых аддонов на addons.mozilla.org. Через about:debugging удалось их поставить до перезагрузки, сейчас проверяю постоянное решение.

Всего записей: 58 | Зарегистр. 09-05-2019 | Отправлено: 20:08 11-05-2019 | Исправлено: Udden, 20:26 11-05-2019
Nek1t



Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
YikxX
Отмотайте на несколько страниц назад и посмотрите посты Mitia514, по контексту он как раз хочет копированием файлов добавить именно новый сертификат для проверки подписей расширений. Файл nssckbi.dll он уже успешно подменял, только вот новый сертификат для расширений так и не появился.
Цитата:
новые сертификаты там есть
Ну, никто не спорит, только задача в другом, по-моему.

Всего записей: 1313 | Зарегистр. 25-10-2006 | Отправлено: 20:13 11-05-2019 | Исправлено: Nek1t, 20:28 11-05-2019
YikxX



Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Nek1t Короче, понятно - все сертификаты, включая сертификат для расширений. Ну теперь инфы накидали человеку, теперь все будет у него, даже сертификаты, которыми приложения подписывают

Всего записей: 989 | Зарегистр. 29-07-2008 | Отправлено: 20:20 11-05-2019
Samotek

Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Привет. Мой профиль в фф довольно старый. Хотел бы удалить устаревшие закладки. Есть ли дополнение какое или тулза для этого?
ps ff 66.0.5 64

Всего записей: 1227 | Зарегистр. 18-05-2005 | Отправлено: 20:24 11-05-2019 | Исправлено: Samotek, 20:25 11-05-2019
Udden



Junior Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Samotek
Bookmarks Organizer умеет находить мертвые закладки.

Всего записей: 58 | Зарегистр. 09-05-2019 | Отправлено: 20:31 11-05-2019
Nek1t



Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Udden
Потому что manifest.json чинить надо, допишите туда блок:
Код:
"applications": { "gecko": { "id": "aaa@bbb" } },

Всего записей: 1313 | Зарегистр. 25-10-2006 | Отправлено: 20:51 11-05-2019 | Исправлено: Nek1t, 20:52 11-05-2019
Udden



Junior Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Уже дописывал (увидев ругань на id в консоли ошибок), не помогло.
Я даже полностью перекраивал .xpi, если контрольная сумма хотя бы одного файла отличается от записанных в META-INF, даже картинки - Firefox ругается. При 100% соответствии аддон съедается.
 
Резать весь механизм подписи надо, ведь не работают даже послединие версии некоторых аддонов с addons.mozilla.org, и это не та самая проблема "armagadd" (1548973), а совершенно иная.

Всего записей: 58 | Зарегистр. 09-05-2019 | Отправлено: 21:28 11-05-2019 | Исправлено: Udden, 21:35 11-05-2019
Открыть новую тему     Написать ответ в эту тему

Страницы: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129

Компьютерный форум Ru.Board » Компьютеры » Программы » Mozilla Firefox (часть 19)

Имя:
Пароль:
Сообщение

Для вставки имени, кликните на нем.

Опции сообщенияДобавить свою подпись
Подписаться на получение ответов по e-mail
Добавить тему в личные закладки
Разрешить смайлики?
Запретить коды


Реклама на форуме Ru.Board.

Powered by Ikonboard "v2.1.7b" © 2000 Ikonboard.com
Modified by Ru.Board
© Ru.Board 2000-2018

BitCoin: 1NGG1chHtUvrtEqjeerQCKDMUi6S6CG4iC

Рейтинг.ru